Skip to main content
POST
/
agent-keys
Create agent key
curl --request POST \
  --url https://api.natural.co/agent-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {},
    "relationships": {
      "agent": {
        "data": {
          "type": "agent",
          "id": "agt_019cd1798d637a4da75dce386343931d"
        }
      }
    }
  }
}
'
{
  "data": {
    "type": "agentKey",
    "id": "agk_550e8400e29b41d4a716446655440000",
    "attributes": {
      "agentKeyPrefix": "ak_ntl_prod_sxHp_FRoRTnDEmEH",
      "status": "ACTIVE",
      "createdAt": "2026-01-04T15:30:00Z",
      "lastUsedAt": null,
      "revokedAt": null,
      "createdBy": "usr_550e8400e29b41d4a716446655440000",
      "revokedBy": null,
      "agentKey": "ak_ntl_prod_sxHp_FRoRTnDEmEHD8FKVJg7P0d3UJMSWCtzQe9GBxk"
    },
    "relationships": {
      "party": {
        "data": {
          "type": "party",
          "id": "pty_7c9e6679e29b41d4a716446655440001"
        }
      },
      "agent": {
        "data": {
          "type": "agent",
          "id": "agt_019cd1798d637a4da75dce386343931d"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Body

application/json
data
AgentKeyCreateData · object
required

Response

Successful Response

data
AgentKeyCreateResource · object
required